# Visualization
TKV3d
StdPrs

# StdPrs_HLRToolShape Class Reference

`#include <StdPrs_HLRToolShape.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StdPrs_HLRToolShape (const TopoDS_Shape &TheShape, const HLRAlgo_Projector &TheProjector)
Standard_EXPORT Standard_Integer | NbEdges () const
Standard_EXPORT void | InitVisible (const Standard_Integer EdgeNumber)
Standard_EXPORT Standard_Boolean | MoreVisible () const
Standard_EXPORT void | NextVisible ()
Standard_EXPORT void | Visible (BRepAdaptor_Curve &TheEdge, Standard_Real &U1, Standard_Real &U2)
Standard_EXPORT void | InitHidden (const Standard_Integer EdgeNumber)
Standard_EXPORT Standard_Boolean | MoreHidden () const
Standard_EXPORT void | NextHidden ()
Standard_EXPORT void | Hidden (BRepAdaptor_Curve &TheEdge, Standard_Real &U1, Standard_Real &U2)

## Private Attributes

Handle_HLRBRep_Data | MyData
HLRAlgo_EdgeIterator | myEdgeIterator
Standard_Integer | MyCurrentEdgeNumber

## Constructor & Destructor Documentation

Standard_EXPORT StdPrs_HLRToolShape::StdPrs_HLRToolShape | ( | const TopoDS_Shape & | TheShape,
|  | const HLRAlgo_Projector & | TheProjector
| ) |

## Member Function Documentation

Standard_EXPORT void StdPrs_HLRToolShape::Hidden | ( | BRepAdaptor_Curve & | TheEdge,
|  | Standard_Real & | U1,
|  | Standard_Real & | U2
| ) |

Standard_EXPORT void StdPrs_HLRToolShape::InitHidden | ( | const Standard_Integer | EdgeNumber | ) |

Standard_EXPORT void StdPrs_HLRToolShape::InitVisible | ( | const Standard_Integer | EdgeNumber | ) |

Standard_EXPORT Standard_Boolean StdPrs_HLRToolShape::MoreHidden | ( |  | ) | const

Standard_EXPORT Standard_Boolean StdPrs_HLRToolShape::MoreVisible | ( |  | ) | const

Standard_EXPORT Standard_Integer StdPrs_HLRToolShape::NbEdges | ( |  | ) | const

Standard_EXPORT void StdPrs_HLRToolShape::NextHidden | ( |  | ) |

Standard_EXPORT void StdPrs_HLRToolShape::NextVisible | ( |  | ) |

void StdPrs_HLRToolShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StdPrs_HLRToolShape::operator new | ( | size_t | size | ) | `[inline]`

void* StdPrs_HLRToolShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void StdPrs_HLRToolShape::Visible | ( | BRepAdaptor_Curve & | TheEdge,
|  | Standard_Real & | U1,
|  | Standard_Real & | U2
| ) |

## Field Documentation

Standard_Integer StdPrs_HLRToolShape::MyCurrentEdgeNumber `[private]`

Handle_HLRBRep_Data StdPrs_HLRToolShape::MyData `[private]`

HLRAlgo_EdgeIterator StdPrs_HLRToolShape::myEdgeIterator `[private]`

The documentation for this class was generated from the following file:

- StdPrs_HLRToolShape.hxx